Subject: Re: [bug#73795] [PATCH] Add support for the bzip3 compression tool to automake.

From: Kamila Szewczyk <[email-masked]>
Date: Mon, 14 Oct 2024 00:10:22 +0200

Hi Karl,

Thank *you* for the quick response. The AND implies that the package contains both LGPLv3.0 and
BSD-licensed code (in particular e.g. Rich Felker's getopt shim) - it is not dual-licensed. However,
for all intents and purposes I hereby grant the GNU Project permission to use it in any GPLv2
licensed package.

The "spiritual" connection primarily lies in the algorithmic matters: bzip3 is actually more similar
to bzip than bzip2 - the former being abandoned due to patent issues on arithmetic coding, which are
not a problem nowadays. Both codecs are statistical and make use of the Burrows-Wheeler transform.
Hence, bzip3 really stands for Burrows-wheeler ZIP, but versions one and two were taken.

To my knowledge, Julian does not have a trademark on the bzip series, which itself doesn't seem to
infringe the IP of Katz' original PKZIP.

--
Yours,
Kamila Szewczyk

On 10/14/24 12:03 AM, Karl Berry wrote:
> Hi Kamila - thanks much for the patch.
> 
>     % wc -c *tar*
>     1885428 automake-1.17.0.91.tar.bz2
>     1500817 automake-1.17.0.91.tar.bz3
>     2456935 automake-1.17.0.91.tar.gz
>     1641112 automake-1.17.0.91.tar.xz
> 
> That is an impressive compression ratio.
> 
>     LGPLv3-licensed
> 
> I searched for bzip3 on pkgs.org and it said the license was 
> LGPL-3.0-or-later AND BSD-2-Clause. Which is good, if true, because
> LGPLv3 is not compatible with GPLv2-only.
> https://rhel.pkgs.org/9/epel-x86_64/bzip3-1.3.1-1.el9.x86_64.rpm.html
> 
> But main.c only says LGPLv3, so I'm not sure what to make of that.
> Can you clarify? Not that it's a stopper.
> 
> Also not a stopper, but I just wonder, what is the relationship to
> bzip3? It seems there is, basically, none.  I presume you are not Julian
> Seward by another name :).  I don't understand the "spiritual"
> connection, sorry. But it's surely too late to rename it anyway, so it
> doesn't matter.
> 
> Thanks again,
> Karl